Robotsystem from Robot Group Leipzig: CameraManipulatorTV Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CameraManipulatorTV Class Reference

`#include <cameramanipulatorTV.h>`

Inheritance diagram for CameraManipulatorTV:

[legend]
Collaboration diagram for CameraManipulatorTV:

[legend]
List of all members.

## Detailed Description

CameraManipulatorTV is a MatrixManipulator which provides Flying simulator-like updating of the camera position & orientation.

Left mouse button: Pan and tilt Right mouse button: forward and sideways Middle mouse button: up and sideways

Definition at line 57 of file cameramanipulatorTV.h.

## Public Member Functions
| CameraManipulatorTV (osg::Node *node, GlobalData &global)
virtual const char * | className () const
| returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why)
## Protected Member Functions
virtual | ~CameraManipulatorTV ()
virtual void | calcMovementByAgent ()
| This handles robot movements, so that the camera movemenent is right affected.
virtual void | setHomeViewByAgent ()
| Sets the right view and eye if the robot has changed.
virtual void | setHomeEyeByAgent ()

## Constructor & Destructor Documentation

CameraManipulatorTV | ( | osg::Node * | node,
|  | GlobalData & | global
| ) |

| Definition at line 61 of file cameramanipulatorTV.cpp.

~CameraManipulatorTV | ( |  | ) | `[protected, virtual]`

| Definition at line 64 of file cameramanipulatorTV.cpp.

## Member Function Documentation

void calcMovementByAgent | ( |  | ) | `[protected, virtual]`

| This handles robot movements, so that the camera movemenent is right affected. should be overwritten by new cameramanipulator Reimplemented from CameraManipulator. Definition at line 67 of file cameramanipulatorTV.cpp.

virtual const char* className | ( |  | ) | const`[inline, virtual]`

| returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why) Reimplemented from CameraManipulator. Definition at line 67 of file cameramanipulatorTV.h.

void setHomeEyeByAgent | ( |  | ) | `[protected, virtual]`

| Reimplemented from CameraManipulator. Definition at line 100 of file cameramanipulatorTV.cpp.

void setHomeViewByAgent | ( |  | ) | `[protected, virtual]`

| Sets the right view and eye if the robot has changed. Is called from manageRobots(); should be overwritten by new cameramanipulator Reimplemented from CameraManipulator. Definition at line 94 of file cameramanipulatorTV.cpp.